Sustainability Navigation

Unable to download app for a logi circle

Comments

1 comment

  • Martina

    Hi @Jose Quiles,

     

    Welcome to the Community!

     

    I will try to assist you installing the LogiCircle-App on your mobile device. The Android version should be ok, as the LogiCircle App requires Android 4.4 or newer. Your Blu Studio device should be a device with Bluetooth® Smart Ready. Please ensure that you have enough storage and RAM left. Normally you should receive an error message why the download could not be completed.

     

    If you are still unable to download the LogiCircle-Apphaving I would kindly ask you to login to your account at support.logitech.com and create a support ticket. This seems to be an issue where the Technical Support Team needs to have a look at it.

     

    Warm regards,

    LogiNina

     

     

    ?If this reply adequately addresses your issue, please mark it as ?Select as Best? and click ?Like?, so this information can benefit other community members.

     

     

    0
    Comment actions Permalink

Please sign in to leave a comment.